      ****************************************
      * Program name: pic.cbl
      * This program provides several examples
      * of CS PICTURE CLAUSES.
      *
      * Copyright 2000 Deskware, Inc.
      ****************************************
       1 variables.
         5 var1    PIC XXXXXXXX.
         5 var2    PIC X(20).
         5 var3    PIC 99999.
         5 var4A   PIC S9(05).
         5 var4B   PIC S9(05).
         5 var5    PIC 9(05)V99.
         5 var6    PIC 99999V99.
         5 var7    PIC 99999.99.
         5 var8    PIC ZZZZZZZZ.
         5 var9    PIC ZZZ,ZZZ,ZZZ.99.
         5 var10   PIC $$$,$$$,$$$.99.
         5 var11   PIC ***,***,***.99.
         5 var12A  PIC +++,+++,+++.99.
         5 var12B  PIC +++,+++,+++.99.
         5 var13A  PIC ---,---,---.99.
         5 var13B  PIC ---,---,---.99.
         5 var14A  PIC ZZZZZZZ-.
         5 var14B  PIC ZZZZZZZ-.
         5 var15A  PIC ZZZ,ZZZ.99+.
         5 var15B  PIC ZZZ,ZZZ.99+.
         5 var16A  PIC ZZZCR.
         5 var16B  PIC ZZZCR.
         5 var17A  PIC ZZZ,ZZZ.99DB.
         5 var17B  PIC ZZZ,ZZZ.99DB.

       MOVE `COBOL`                TO var1.
       MOVE `12345678901234567890` TO var2.
       MOVE 12345                  TO var3.
       MOVE 12345                  TO var4A.
       MOVE -12345                 TO var4B.
       MOVE 12345                  TO var5.
       MOVE 12345                  TO var6.
       MOVE 12345                  TO var7.
       MOVE 12345                  TO var8.
       MOVE 12345                  TO var9.
       MOVE 12345                  TO var10.
       MOVE 12345                  TO var11.
       MOVE 12345                  TO var12A.
       MOVE -12345                 TO var12B.
       MOVE 12345                  TO var13A.
       MOVE -12345                 TO var13B.
       MOVE 12345                  TO var14A.
       MOVE -12345                 TO var14B.
       MOVE 12345                  TO var15A.
       MOVE -12345                 TO var15B.
       MOVE  12345                 TO var16A.
       MOVE -12345                 TO var16B.
       MOVE 12345                  TO var17A.
       MOVE -12345                 TO var17B.

       DISPLAYLF `Content-type: text/html`.
       DISPLAYLF ``.
       DISPLAYLF `<HTML><BODY>`.
       DISPLAYLF `<CENTER><B>Examples of CobolScript formated picture output</B></CENTER><HR>`.
       DISPLAYLF `<PRE>`.
       DISPLAYLF variables.
       DISPLAYLF `<TABLE BORDER=1 BGCOLOR="6699CC"><TR><TD><pre>`.
       DISPLAY `Picture                                         Value of                Picture of`.
       DISPLAY `Type                                            Sending Field           Receiving Field         Result`.
       DISPLAY `==============================================  ====================    ===============         ====================`.
       DISPLAY `Alphanumeric                                    COBOL                   XXXXXXXX                COBOL`.
       DISPLAY `Alphanumeric                                    12345678901234567890    X(20)                   12345678901234567890`.
       DISPLAY `Numeric                                         12345                   99999                   12345`.
       DISPLAY `Signed Numeric                                  12345                   S9(05)                  +12345`.
       DISPLAY `Signed Numeric                                  -12345                  S9(05)                  -12345`.
       DISPLAY `Numeric with Implied Decimal                    12345                   9(05)V99                1234500`.
       DISPLAY `Numeric with Implied Decimal                    12345                   99999V99                1234500`.
       DISPLAY `Numeric with Literal Decimal                    12345                   99999.99                12345.00`.
       DISPLAY `Numeric edited with Zero Suppression            12345                   ZZZZZZZZ                12345`.
       DISPLAY `Numeric edited with Zero Suppression and comma  12345                   ZZZ,ZZZ,ZZZ.99          12,345.00`.
       DISPLAY `Numeric edited with Floating dollar sign        12345                   $$$,$$$,$$$.99          $12,345.00`.
       DISPLAY `Numeric edited with Asterisk check protection         1234                    ***,***,***.99          *****12,345.00`.
       DISPLAY `Numeric edited with Floating plus sign          12345                   +++,+++,+++.99          +12,345.00`.
       DISPLAY `Numeric edited with Floating plus sign          -12345                  +++,+++,+++.99          -12,345.00`.
       DISPLAY `Numeric edited with Floating minus sign         12345                   ---,---,---.99          12,345.00`.
       DISPLAY `Numeric edited with Floating minus sign         -12345                  ---,---,---.99          -12,345.00`.
       DISPLAY `Numeric edited with minus sign control          12345                   ZZZZZZZ-                1234 `.
       DISPLAY `Numeric edited with minus sign control          -12345                  ZZZZZZZ-                1234-`.
       DISPLAY `Numeric edited with plus sign control           12345                   ZZZ,ZZZ.99+             12,345.00+`.
       DISPLAY `Numeric edited with plus sign control           -12345                  ZZZ,ZZZ.99+             12,345.00-`.
       DISPLAY `Numeric edited with CR control                  12345                   ZZZCR                   123  `.
       DISPLAY `Numeric edited with CR control                  -12345                  ZZZCR                   123CR`.
       DISPLAY `Numeric edited with DB control                  12345                   ZZZ,ZZZ.99DB            12,345.00DB`.
       DISPLAY `Numeric edited with DB control                  -12345                  ZZZ,ZZZ.99DB            12,345.00CR`.
       DISPLAYLF `</TD></TR></TABLE>`.
       DISPLAYLF `</PRE></BODY></HTML>`.



