      ****************************************
      * Program name: web.cbl
      * This example demonstrates how to
      * get a web page from a server and
      * save it to a text file.
      *
      * Copyright 2000 Deskware, Inc.
      ****************************************
      *
      * Syntax: GETWEBPAGE USING <host name> <filename>.
      *
      * Include the TCP/IP variable copybook.
       COPY `tcpip.cpy`.

      * Program Variables
       1 host_name      PIC X(30).
       1 filename      PIC X(20).
       1 url  PIC X(30).
       
       MOVE `www.cobolscript.com` TO host_name.
       MOVE `/` TO url.
       MOVE `web.txt` TO filename.
       DISPLAY `<` & host_name  & `>`.
       DISPLAY `<` &  url  & `>`.
       DISPLAY `<` &  filename  & `>`.
       GETWEBPAGE USING host_name url filename.
       DISPLAY `TCPIP-RETURN-CODES: `  & TCPIP-RETURN-CODES.


